import type { MaterialSymbolProps } from "@scandic-hotels/design-system/Icons/MaterialIcon/MaterialSymbol"

import { RoomPackageCodeEnum } from "@/types/components/hotelReservation/selectRate/roomFilter"
import type { PackageEnum } from "@/types/requests/packages"

export function getIconNameByPackageCode(
  packageCode: PackageEnum
): MaterialSymbolProps["icon"] {
  switch (packageCode) {
    case RoomPackageCodeEnum.PET_ROOM:
      return "pets"
    case RoomPackageCodeEnum.ACCESSIBILITY_ROOM:
      return "accessible"
    case RoomPackageCodeEnum.ALLERGY_ROOM:
      return "mode_fan"
    default:
      return "star"
  }
}
